<CsoundSynthesizer>



<CsOptions>

;-odac

-o D:/Fordypning/Kode/Prototype/csd/test2.wav -W

</CsOptions>



<CsInstruments>

;Example by Iain McCurdy



sr =  44100

ksmps = 32

nchnls = 1

0dbfs = 1





gaRvbSend    init      0; global audio variable initialized to zero



  instr 1 ;sound generating instrument (sparse noise bursts)

  

;Sfile = "acoustic.wav"



Sfile chnget "filename"

  

aSig	diskin2	Sfile,    1,       0,         1



             out      aSig; send audio to outputs

iRvbSendAmt  =         0.5; reverb send amount (try range 0 - 1)

gaRvbSend    =         gaRvbSend + (aSig * iRvbSendAmt); add a proportion of the audio from this instrument to the global reverb send variable

  endin



  instr 5; reverb - always on

kroomsize    init      0.5; room size (range zero to 1)

kroomsize chnget "reverb"



kHFDamp      init      0.5; high frequency damping (range zero to 1)

aRvbL,aRvbR  freeverb  gaRvbSend, gaRvbSend,kroomsize,kHFDamp; create reverberated version of input signal (note stereo input and output)

             out      aRvbL + aRvbR; send audio to outputs 

             clear     gaRvbSend

  endin



</CsInstruments>



<CsScore>

i 1 0 13; noise pulses (input sound)

i 5 0 13; start reverb

e

</CsScore>



</CsoundSynthesizer><bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>72</x>

 <y>179</y>

 <width>400</width>

 <height>200</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="nobackground">

  <r>231</r>

  <g>46</g>

  <b>255</b>

 </bgcolor>

 <bsbObject version="2" type="BSBVSlider">

  <objectName>slider1</objectName>

  <x>5</x>

  <y>5</y>

  <width>20</width>

  <height>100</height>

  <uuid>{0fea2b08-1803-4c61-8c70-01c9424dab7a}</uuid>

  <visible>true</visible>

  <midichan>0</midichan>

  <midicc>-3</midicc>

  <minimum>0.00000000</minimum>

  <maximum>1.00000000</maximum>

  <value>0.82000000</value>

  <mode>lin</mode>

  <mouseControl act="jump">continuous</mouseControl>

  <resolution>-1.00000000</resolution>

  <randomizable group="0">false</randomizable>

 </bsbObject>

</bsbPanel>

<bsbPresets>

</bsbPresets>

<MacOptions>

Version: 3

Render: Real

Ask: Yes

Functions: ioObject

Listing: Window

WindowBounds: 72 179 400 200

CurrentView: io

IOViewEdit: On

Options:

</MacOptions>



<MacGUI>

ioView nobackground {59367, 11822, 65535}

ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.820000 slider1

</MacGUI>

