<CsoundSynthesizer>

<CsOptions>

;-odac

-o D:/Fordypning/Kode/Prototype/csd/test1.wav -W

</CsOptions>

<CsInstruments>



sr     = 44100

ksmps  = 32

nchnls = 1

0dbfs  = 1



opcode	Tremolo,a,akk

	ain,krate,kdepth	xin	;READ IN INPUT ARGUMENTS

	krate	expcurve	krate,5			;CREATE AN EXPONENTIAL REMAPPING OF krate

	krate	scale	krate,50,0.1			;RESCALE VALUE

	klfo	lfo	kdepth, krate, 0		;CREATE AN LFO (SINE)

	klfo	=	(klfo*0.5)+0.5			;RESCALE AND OFFSET LFO SO IT STAY WITHIN THE RANGE 0 - 1 ABOUT THE VALUE 0.5



	;TREM			

	klfo	=	klfo+(0.5-(kdepth*0.5))	;MODIFY LFO AT ZERO DEPTH VALUE IS 1 AND AT MAX DEPTH CENTRE OF MODULATION IS 0.5

	alfo	interp	klfo			;INTERPOLATE K-RATE LFO AND CREATE A-RATE VARIABLE

	aout	=	ain*(alfo^2)		;REDEFINE GLOBAL AUDIO LEFT CHANNEL SIGNAL WITH TREMELO

		xout	aout			;SEND AUDIO BACK TO CALLER INSTRUMENT

endop



instr 1



;krate init 0.1

;kdepth init 0.4

;Sfile = "acoustic.wav"



krate chnget "tremoloRate"

kdepth chnget "tremoloDepth"

Sfile chnget "filename"



asnd	diskin2	Sfile,    1,       0,         1



aout	Tremolo	asnd, krate, kdepth

	out	aout



endin

</CsInstruments>

<CsScore>

i 1 0 1.1

e



</CsScore>

</CsoundSynthesizer><bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>72</x>

 <y>179</y>

 <width>400</width>

 <height>200</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="nobackground">

  <r>231</r>

  <g>46</g>

  <b>255</b>

 </bgcolor>

 <bsbObject version="2" type="BSBVSlider">

  <objectName>slider1</objectName>

  <x>5</x>

  <y>5</y>

  <width>20</width>

  <height>100</height>

  <uuid>{9387ea0e-9325-49b1-8988-cb42f7d18b7a}</uuid>

  <visible>true</visible>

  <midichan>0</midichan>

  <midicc>-3</midicc>

  <minimum>0.00000000</minimum>

  <maximum>1.00000000</maximum>

  <value>0.00000000</value>

  <mode>lin</mode>

  <mouseControl act="jump">continuous</mouseControl>

  <resolution>-1.00000000</resolution>

  <randomizable group="0">false</randomizable>

 </bsbObject>

</bsbPanel>

<bsbPresets>

</bsbPresets>

<MacOptions>

Version: 3

Render: Real

Ask: Yes

Functions: ioObject

Listing: Window

WindowBounds: 72 179 400 200

CurrentView: io

IOViewEdit: On

Options:

</MacOptions>



<MacGUI>

ioView nobackground {59367, 11822, 65535}

ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.000000 slider1

</MacGUI>

