from guitarprocessor import GuitarProcessor
from phenotype import *
import datetime

# GUI - RUNNABLE

selection =         int(raw_input('Type 1 for input run, 2 for standard run: '))

if selection == 1:
    popsize =           int(raw_input('Population size: '))
    maxGenerations =    int(raw_input('Maximum generations: '))
    crossover =         int(raw_input('Type of crossover (1 for one-point, 2 for two-point): '))
    mutation =          int(raw_input('Type of mutation (1 for mutation-swap, 2 for mutation-flip: '))
    mechanism =         int(raw_input('Selection mechanism (1 for FitnessProportionate, 2 for SigmaScaling,'
                                    ' 3 for TournamentSelection, 4 for BoltzmannSelection): '))
    protocol =          int(raw_input('Selection protocol (1 for GenerationalReplacement, 2 for Overproduction,'
                                    ' 3 for GenerationalMixing): '))
    cloneRate =         float(raw_input('Clone rate: '))
    mutationRate =      float(raw_input('Mutationrate: '))
    orderMutationNum =  int(raw_input('OrderMutation (1 for True, 2 for False): '))
    orderMutation = True
    if orderMutationNum == 2:
        orderMutation = False
    orderMutationrate = float(raw_input('OrderMutationRate: '))

    guitarProcessor = GuitarProcessor(popsize, maxGenerations, crossover, mutation, mechanism, protocol, cloneRate, mutationRate, orderMutation, orderMutationrate)

    #                        (numOfSounds, maxGenerations, crossoverType, mutationType, mechanism, protocol, cloneRate, mutationRate, orderMutation, orderMutationRate)

    guitarProcessor.run(True)

if selection == 2:
    guitarProcessor = GuitarProcessor(100, 100, 1, 2, 3, 3, 0.50, 0.10, True, 0.20)

    guitarProcessor.run(True)
