<CsoundSynthesizer>

<CsOptions>

;-odac

-o D:/Fordypning/Kode/Prototype/csd/test1.wav -W

</CsOptions>

<CsInstruments>



sr     = 44100

ksmps  = 32

nchnls = 1

0dbfs  = 1



gifn	ftgen	0,0, 257, 9, .5,1,270	; define a sigmoid



opcode	Distortion, a, akkk

	ain,klevel,kdrive,ktone	xin							;READ IN INPUT ARGUMENTS

	klevel		scale		klevel,0.8,0					;RESCALE LEVEL CONTROL

	kdrive		expcurve	kdrive,8					;EXPONENTIALLY REMAP kdrive

	kdrive		scale		kdrive,0.4,0.01					;RESCALE kdrive

	kLPF		expcurve	ktone,4						;EXPONENTIALLY REMAP ktone

	kLPF		scale		kLPF,12000,200					;RESCALE klpf

	kGainComp1	logcurve	ktone,700					;LOGARITHMIC RESCALING OF ktone TO CREAT A GAIN COMPENSATION VARIABLE FOR WHEN TONE IS LOWERED

	kGainComp1	scale		kGainComp1,1,5					;RESCALE GAIN COMPENSATION VARIABLE

	kpregain	=		(kdrive*100)					;DEFINE PREGAIN FROM kdrive

	kpostgain	=		0.5 * (((1-kdrive) * 0.4) + 0.6)		;DEFINE POSTGAIN FROM kdrive

	aDist		distort1	ain*(32768/0dbfs), kpregain, kpostgain, 0, 0	;CREATE DISTORTION SIGNAL

	aDist		butlp		aDist/(32768/0dbfs), kLPF			;LOWPASS FILTER DISTORTED SIGNAL

			xout		aDist*klevel*kGainComp1				;SEND AUDIO BACK TO CALLER INSTRUMENT. RESCALE WITH USER LEVEL CONTROL AND GAIN COMPENSATION			

endop



instr 1



;iDistAmount init 10.1

;Sfile = "ctone.wav"

;klevel init 0.5

;kdrive init 0.06

;ktone init 5000



iDistAmount chnget "distort"

Sfile chnget "filename"



asnd	diskin2	Sfile,    1,       0,         1



kdist = iDistAmount

;kdist	line	iDistAmount, p3, iDistAmount		; distort the amount of iDistAmount

aout	distort	asnd, kdist, gifn	; gradually increase the distortion

;aout	Distortion asnd, klevel, kdrive, ktone

	out	aout



endin

</CsInstruments>

<CsScore>

f 1 0 16384 10 1

i 1 0 1.1

e



</CsScore>

</CsoundSynthesizer><bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>72</x>

 <y>179</y>

 <width>400</width>

 <height>200</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="nobackground">

  <r>231</r>

  <g>46</g>

  <b>255</b>

 </bgcolor>

 <bsbObject version="2" type="BSBVSlider">

  <objectName>slider1</objectName>

  <x>5</x>

  <y>5</y>

  <width>20</width>

  <height>100</height>

  <uuid>{684d591d-4fff-425e-8375-4d3ef87253b5}</uuid>

  <visible>true</visible>

  <midichan>0</midichan>

  <midicc>-3</midicc>

  <minimum>0.00000000</minimum>

  <maximum>1.00000000</maximum>

  <value>0.55000000</value>

  <mode>lin</mode>

  <mouseControl act="jump">continuous</mouseControl>

  <resolution>-1.00000000</resolution>

  <randomizable group="0">false</randomizable>

 </bsbObject>

</bsbPanel>

<bsbPresets>

</bsbPresets>

<MacOptions>

Version: 3

Render: Real

Ask: Yes

Functions: ioObject

Listing: Window

WindowBounds: 72 179 400 200

CurrentView: io

IOViewEdit: On

Options:

</MacOptions>



<MacGUI>

ioView nobackground {59367, 11822, 65535}

ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.550000 slider1

</MacGUI>

