import random
from genotype import Genotype
from Enums import *

class Init:

    def __init__(self, numOfSounds):
        self.sounds = []

        effects = Enums.EFFECTS

        for i in range(0, numOfSounds):
            geno = Genotype()

            # Assigning distortion
            for j in range(0, 6):
                geno.val_distortion.append(random.randint(0,1))

            # Assigning flanger
            for j in range(0, 7):
                geno.val_flanger.append(random.randint(0,1))

            # Assigning tremolo
            for j in range(0, 4):
                geno.val_tremolo1.append(random.randint(0,1))
            for j in range(0, 4):
                geno.val_tremolo2.append(random.randint(0,1))

            # Assigning chorus
            for j in range(0, 4):
                geno.val_chorus1.append(random.randint(0,1))
            for j in range(0, 4):
                geno.val_chorus2.append(random.randint(0,1))

            # Assigning order of effects
            tempEffects = list(effects)
            for j in range(len(effects)):
                randomInt = random.randint(0, len(tempEffects)-1)
                geno.order.append(tempEffects[randomInt])
                del tempEffects[randomInt]

            # Assigning the data list, all effects gathered in correct order
            for j in range(len(geno.order)):
                if geno.order[j] == Enums.DISTORTION:
                    geno.data.extend(geno.val_distortion)
                    continue
                if geno.order[j] == Enums.FLANGER:
                    geno.data.extend(geno.val_flanger)
                    continue
                if geno.order[j] == Enums.TREMOLO:
                    geno.data.extend(geno.val_tremolo1)
                    geno.data.extend(geno.val_tremolo2)
                    continue
                if geno.order[j] == Enums.CHORUS:
                    geno.data.extend(geno.val_chorus1)
                    geno.data.extend(geno.val_chorus2)
                    continue

            self.sounds.append(geno)






